#include <iostream>
#include <bits/stdc++.h>
using namespace std;
void broj_novcanica(vector<double>& novcanice, double& V, int& Broj_novcanica)
{
    if(V == 0)
    {
        return;
    }
    for(int i = 0; i < novcanice.size(); i++)
    {
        if(V < novcanice[i])
        {
            V -= novcanice[i - 1];
            break;
        }
    }
    Broj_novcanica += 1;
    broj_novcanica(novcanice, V, Broj_novcanica);
}
int main()
{
    double V;
    cin >> V;
    vector<double> novcanice;
    for(int i = 0; i < 18; i++)
    {
        novcanice.push_back(1 * pow(10, i));
        novcanice.push_back(2 * pow(10, i));
        novcanice.push_back(5 * pow(10, i));
    }
    int Broj_novcanica = 0;
    broj_novcanica(novcanice, V, Broj_novcanica);
    cout << Broj_novcanica << endl;
    return 0;
}